Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.enhanced
Class Personality

    java.lang.Object
      com.hp.hpl.jena.enhanced.Personality

Direct Known Subclasses:
  GraphPersonality, NodePersonality

    public class Personality

extends java.lang.Object

Defines a set of permitted mappings from [interface] Class objects to `Implementation` factories that can generate instances of the facet represented by the Class.

Author:
  Jeremy Carroll (original code)
  Chris Dollin (original code)

Constructor Summary
`Personality(Personality other)` initialise this personality with the bindings from _other_

Method Summary
`Personality` | `add(java.lang.Class interf, Implementation impl)` Add a new interface and its implementation to this Personality.
`Personality` | `copy()` create a new Personality copying this one; the _types_ state is copied, not shared.
`Polymorphic` | `newInstance(java.lang.Class interf, Node n, Polymorphic that)` make a new instance of a type _interf_ based on the node _n_ and the polymorphic _that_; use the implementation wrapper for _interf_ in _types_.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Personality

    public Personality(Personality other)

  initialise this personality with the bindings from _other_

Method Detail

### add

    public Personality add(java.lang.Class interf,
                           Implementation impl)

  Add a new interface and its implementation to this Personality.

  Parameters:
    `interf` - The interface to add, expressed as a Type object.
    `impl` - A way of implementing _interf_.

### copy

    public Personality copy()

  create a new Personality copying this one; the _types_ state is copied, not shared.

### newInstance

    public Polymorphic newInstance(java.lang.Class interf,
                                   Node n,
                                   Polymorphic that)

  make a new instance of a type _interf_ based on the node _n_ and the polymorphic _that_; use the implementation wrapper for _interf_ in _types_.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP